Summary:	A set of tools to gather troubleshooting information from a system
Name:		sos
Version:	3.2
%define subrel	1
Release:	%mkrel 1
Group:		System/Base
Source0:	https://github.com/%{name}report/%{name}/archive/%{version}.tar.gz
Patch0:		sos-mageia-branding-po.patch
Patch1:		sos-mageia-branding-support.patch
License:	GPLv2+
BuildArch:	noarch
Url:		http://sosreport.github.io/sos/
BuildRequires:	python-devel
BuildRequires:	gettext
Requires:	libxml2-python
Requires:	tar
Requires:	bzip2
Requires:	xz
Requires:	python-rpm
Requires:	python-six

%description
Sos is a set of tools that gathers information about system
hardware and configuration. The information can then be used for
diagnostic purposes and debugging. Sos is commonly used to help
support technicians and developers.

%prep
%setup -q
%patch0 -p1 -b .brand
%patch1 -p1 -b .support

%build
%make

%install
%makeinstall_std
%find_lang %{name}

%files -f %{name}.lang
%doc README.md AUTHORS LICENSE 
%{_sbindir}/sosreport
%{_datadir}/%{name}
%{python_sitelib}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%config(noreplace) %{_sysconfdir}/sos.conf


%changelog
* Thu Mar 05 2015 luigiwalser <luigiwalser> 3.2-1.1.mga4
+ Revision: 817810
- requires python-six

  + bcornec <bcornec>
    - Update to upstream 3.2 which fixes bug #13441 https://bugs.mageia.org/show_bug.cgi?id=13441

* Mon Jan 14 2013 umeabot <umeabot> 2.2-3.mga3
+ Revision: 382353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 25 2011 doktor5000 <doktor5000> 2.2-2.mga2
+ Revision: 147742
- added Require on python-rpm (mga#1709)
- removed obsolete BuildRoot, %%clean and %%defattr
- cosmetics for better clarity
- use %%make macro

* Tue Mar 08 2011 ennael <ennael> 2.2-1.mga1
+ Revision: 66381
- imported package sos


* Thu Dec 02 2010 Funda Wang <fwang@mandriva.org> 2.2-1mdv2011.0
+ Revision: 604670
- import sos

